[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]
Google
  Web www.spinics.net

Re: compile gtk 3 error



Yes, i did. Now i changed order, make finished successfully. Thanks for help.
Looks like pango uses /usr/lib/cairo. Did you build pango before cairo?

Le vendredi 22 juillet 2011 à 17:14 +0400, Dmitry Shkirmanov a écrit :
Strange, which cairo version do you have? You need at least 1.10.0. May
be you have several cairo versions and it does not link to the correct
one. Try make V=1 to check which is used.

Actually, i have two cairo version. One version is installed from
repository and second one is 1.10.2.
Version 1.10.2 is installed from source with
prefix=/home/ya/mylibs/gtk3

I wrote PKG_CONFIG_PATH, LD_LIBRARY_PATH, CPPFLAGS, LDFLAGS :

ya@debian:~/mylibs/source/gtk+-3.0.11$ echo $PKG_CONFIG_PATH
/home/ya/mylibs/gtk3/lib/pkgconfig

echo $LD_LIBRARY_PATH
/home/ya/mylibs/gtk3/lib

ya@debian:~/mylibs/source/gtk+-3.0.11$ echo $CPPFLAGS
-I/home/ya/mylibs/gtk3/include

ya@debian:~/mylibs/source/gtk+-3.0.11$ echo $LDFLAGS
-L/home/ya/mylibs/gtk3/lib
_______________________________________________
gtk-list mailing list
gtk-list@xxxxxxxxx
http://mail.gnome.org/mailman/listinfo/gtk-list



[GIMP Users]     [Yosemite News]    [Yosemite Photos]    [Gimp's Home]     [Steve's Art]

Add to Google Powered by Linux